Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.grid
Class ValueGridPortrayal3D

    java.lang.Object
      sim.portrayal.FieldPortrayal
          sim.portrayal3d.FieldPortrayal3D
              sim.portrayal3d.grid.ValueGridPortrayal3D

All Implemented Interfaces:
  Portrayal, Portrayal3D, java.io.Serializable

public class ValueGridPortrayal3D
extends FieldPortrayal3D

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ValueGridPortrayal3D.ValueWrapper`

Nested classes inherited from class sim.portrayal.FieldPortrayal
`FieldPortrayal.CustomInspector`

Field Summary
`ColorMap` | `map`
`float` | `scale`
`float[]` | `scaledVerts`

Fields inherited from class sim.portrayal.FieldPortrayal
`classPortrayals, dirtyField, field, immutableField, portrayalForAll, portrayalForNull, portrayalForRemainder, portrayals`

Constructor Summary
`ValueGridPortrayal3D()`
`ValueGridPortrayal3D(float s)`
`ValueGridPortrayal3D(java.lang.String valueName)`
`ValueGridPortrayal3D(java.lang.String valueName, float scale)`

Method Summary
`LocationWrapper` | `completedWrapper(LocationWrapper w, com.sun.j3d.utils.picking.PickIntersection pi, com.sun.j3d.utils.picking.PickResult pr)` Given the provided PickIntersection and the PickResult it came from, fill in w the location of the picked object, and return it.
`javax.media.j3d.TransformGroup` | `createModel()` Returns a tree structure of the form InternalTransform[model info].
`javax.media.j3d.Shape3D` | `createShape(float x, float y, float z, java.awt.Color color)`
`ColorMap` | `getMap()`
`double` | `getScale()`
`java.lang.String` | `getValueName()`
`double` | `newValue(int x, int y, int z)`
`void` | `setField(java.lang.Object field)` Sets the field.
`void` | `setMap(ColorMap m)`
`void` | `setScale(float val)`
`void` | `updateModel(javax.media.j3d.TransformGroup modelTG)` Returns a tree structure of the form InternalTransform[model info].

Methods inherited from class sim.portrayal3d.FieldPortrayal3D
`getDefaultPortrayal, getDefaultTransform, getModel, getTransform, polygonAttributes, resetTransform, rotateX, rotateY, rotateZ, scale, scale, setTransform, transform, translate`

Methods inherited from class sim.portrayal.FieldPortrayal
`getDefaultNullPortrayal, getField, getInspector, getName, getPortrayalForAll, getPortrayalForNull, getPortrayalForObject, getPortrayalForRemainder, isImmutableField, setImmutableField, setPortrayalForAll, setPortrayalForClass, setPortrayalForNull, setPortrayalForObject, setPortrayalForRemainder, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface sim.portrayal.Portrayal
`getInspector, getName, setSelected`

Field Detail

### map

    public ColorMap map

### scale

    public float scale

### scaledVerts

    public float[] scaledVerts

Constructor Detail

### ValueGridPortrayal3D

    public ValueGridPortrayal3D()

### ValueGridPortrayal3D

    public ValueGridPortrayal3D(java.lang.String valueName)

### ValueGridPortrayal3D

    public ValueGridPortrayal3D(float s)

### ValueGridPortrayal3D

    public ValueGridPortrayal3D(java.lang.String valueName,
                                float scale)

Method Detail

### getMap

    public ColorMap getMap()

### setMap

    public void setMap(ColorMap m)

### getValueName

    public java.lang.String getValueName()

### setScale

    public void setScale(float val)

### getScale

    public double getScale()

### setField

    public void setField(java.lang.Object field)

  Description copied from class: `FieldPortrayal`
  Sets the field. Also sets dirtyField = true. May throw an exception if the field is inappropriate.

  Specified by:
    `setField` in class `FieldPortrayal`

### newValue

    public double newValue(int x,
                           int y,
                           int z)

### createShape

    public javax.media.j3d.Shape3D createShape(float x,
                                               float y,
                                               float z,
                                               java.awt.Color color)

### createModel

    public javax.media.j3d.TransformGroup createModel()

  Description copied from class: `FieldPortrayal3D`
  Returns a tree structure of the form InternalTransform[model info].

  ...where InternalTransform is an identity transformgroup whose transform will be modified elsewhere (create it but don't play with it).

  Specified by:
    `createModel` in class `FieldPortrayal3D`

### updateModel

    public void updateModel(javax.media.j3d.TransformGroup modelTG)

  Description copied from class: `FieldPortrayal3D`
  Returns a tree structure of the form InternalTransform[model info].

  ...where InternalTransform is an identity transformgroup whose transform will be modified elsewhere (don't play with it). By default, this function does nothing. Override it to update the model when it's called.

  Overrides:
    `updateModel` in class `FieldPortrayal3D`

### completedWrapper

    public LocationWrapper completedWrapper(LocationWrapper w,
                                            com.sun.j3d.utils.picking.PickIntersection pi,
                                            com.sun.j3d.utils.picking.PickResult pr)

  Description copied from class: `FieldPortrayal3D`
  Given the provided PickIntersection and the PickResult it came from, fill in w the location of the picked object, and return it. Alternatively, return a new LocationWrapper with all information filled in. The PickResult is provided you in case the object is in a shared group and you need to identify what link had connected to it.

  Specified by:
    `completedWrapper` in class `FieldPortrayal3D`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD